People who might be getting this error in their new Ruby On Rails setup who have just edited their database.yml with their password that starts with an exclamation point might want to know that the exclamation point causes the error.

I found out the hard way; suspecting it was an FCGI problem, which it wasn't.

This is on a debian system. I haven't tried it on anything else so I'm hesitant to add it to the Rails Wiki.